curl https://api.gammaflip.io/api/v1/exchanges \
-H "X-API-Key: gex_sk_your_key_here"
import requests
resp = requests.get(
"https://api.gammaflip.io/api/v1/exchanges",
headers={"X-API-Key": "gex_sk_your_key_here"},
)
print(resp.json())
const resp = await fetch("https://api.gammaflip.io/api/v1/exchanges", {
headers: { "X-API-Key": "gex_sk_your_key_here" },
});
console.log(await resp.json());
{
"data": {
"available": ["bybit", "deribit", "okx", "derive", "binance", "tradfi"],
"virtual": ["all"],
"markets": {
"crypto": ["deribit", "bybit", "okx", "derive", "binance"],
"tradfi": ["tradfi"]
}
},
"meta": {
"timestamp": "2026-10-06T10:00:00+00:00"
}
}
Endpoints
List Exchanges
Returns available exchanges grouped by market. Free: not counted against the quota
GET
/
exchanges
curl https://api.gammaflip.io/api/v1/exchanges \
-H "X-API-Key: gex_sk_your_key_here"
import requests
resp = requests.get(
"https://api.gammaflip.io/api/v1/exchanges",
headers={"X-API-Key": "gex_sk_your_key_here"},
)
print(resp.json())
const resp = await fetch("https://api.gammaflip.io/api/v1/exchanges", {
headers: { "X-API-Key": "gex_sk_your_key_here" },
});
console.log(await resp.json());
{
"data": {
"available": ["bybit", "deribit", "okx", "derive", "binance", "tradfi"],
"virtual": ["all"],
"markets": {
"crypto": ["deribit", "bybit", "okx", "derive", "binance"],
"tradfi": ["tradfi"]
}
},
"meta": {
"timestamp": "2026-10-06T10:00:00+00:00"
}
}
Response
array
List of exchange names currently online and queryable. Supported:
bybit, deribit, okx, derive, binance and tradfi.object
The same exchanges split by market:
{"crypto": [...], "tradfi": ["tradfi"]}.
Crypto venues are in canonical order.array
List of virtual exchanges. Currently just
["all"]: a cross-exchange
aggregator for crypto coins (for TradFi tickers all is an alias of tradfi).
You can also request a subset of crypto venues with +, for example
deribit+derive. See Markets and exchanges.string
ISO 8601 timestamp of when the response was generated.
This endpoint is free and does not count against your quota, so there is no
rate_limit block or X-RateLimit-* header. Use /me
to see your quota.curl https://api.gammaflip.io/api/v1/exchanges \
-H "X-API-Key: gex_sk_your_key_here"
import requests
resp = requests.get(
"https://api.gammaflip.io/api/v1/exchanges",
headers={"X-API-Key": "gex_sk_your_key_here"},
)
print(resp.json())
const resp = await fetch("https://api.gammaflip.io/api/v1/exchanges", {
headers: { "X-API-Key": "gex_sk_your_key_here" },
});
console.log(await resp.json());
{
"data": {
"available": ["bybit", "deribit", "okx", "derive", "binance", "tradfi"],
"virtual": ["all"],
"markets": {
"crypto": ["deribit", "bybit", "okx", "derive", "binance"],
"tradfi": ["tradfi"]
}
},
"meta": {
"timestamp": "2026-10-06T10:00:00+00:00"
}
}